ATA_SCSI_UNLOCK_NATI(9)

NAME
ata_scsi_unlock_native_capacity - unlock native capacity

SYNOPSIS

void ata_scsi_unlock_native_capacity(struct scsi_device * sdev);

ARGUMENTS

sdev
    SCSI device to adjust device capacity for

DESCRIPTION

This function is called if a partition on sdev extends beyond the end of the device. It requests EH to unlock HPA.

LOCKING

Defined by the SCSI layer. Might sleep.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT